### Usage

    java -jar HTMLValidator.jar http://validator.w3.org/nu http://w3.org
    java -jar HTMLValidator.jar http://validator.nu http://w3.org
    java -jar HTMLValidator.jar http://localhost:8888 ../file.html ../file2.html  ../fil3.html
    
    // for w3c support, use "--w3c" flag:
    java -jar HTMLValidator.jar http://validator.w3.org --w3c http://w3.org
    java -jar HTMLValidator.jar http://localhost --w3c ../file.html ../file2.html  ../fil3.html


Will halt at first error.

### Typical ant-target (for eg CI-systems)

    <target name="validate-html-files">
      
      <apply dir="${dir.source}/${dir.html}" executable="java" parallel="false" failonerror="true">
      
        <fileset dir="./${dir.source}/${dir.html}">
          <include name="**/*.html"/>
        </fileset>
      
        <arg value="-jar" />
        
        <arg path="./${dir.tools}/${tool.validator}" />
        
        <!--
        Uncomment for w3c support
        <arg value="--w3c" />
        -->
        
        <arg value="${tool.validator.url}" />
      
        <srcfile/>
      </apply>
      <echo>HTML validator successful</echo>
    </target>

### License

Licensed with MIT License. Se LICENSE file for details.