package htmlvalidator;

import java.util.ArrayList;

public class Runner {
    public static void main(String[] args) {
        
        ArrayList documents = new ArrayList();
        boolean isW3C = false;
        
        // 1 = any of the documents is invalid HTML
        // 0 = all are ok
        int results = 0;
        
        // extract documents from arguments,
        // and look for "--w3c" flag.
        for (int i = 1; i < args.length; i++) {
            if (args[i].equals("--w3c")) {
                isW3C = true;
            } else {
                documents.add(args[i]);
            }
        }
        
        if (isW3C) {
            results = new W3CValidator(args[0]).check(documents);
        } else {
            results = new NuValidator(args[0]).check(documents);
        }
        
        // 1 will halt ant build, 0 will flag success.
        System.exit(results);
    }
}
